Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #2309 (new defect)

Opened 12 years ago

Last modified 12 years ago

AR242x 802.11abg Wireless PCI Express Adapter (rev 01 fails to work with Ubuntu 9.04

Reported by: gbodley@gmail.com Assigned to:
Priority: critical Milestone:
Component: madwifi: other Version:
Keywords: Cc:
Patch is attached: 0 Pending: 0

Description

I can't get the following card working on an Acer Aspire One Netbook Model ZG8 and Ubuntu 9.04 Netbook Remix.

02:00.0 Ethernet controller: Atheros Communications Inc. AR242x 802.11abg Wireless PCI Express Adapter (rev 01)

Subsystem: Foxconn International, Inc. Device e00d Flags: bus master, fast devsel, latency 0, IRQ 18 Memory at 54100000 (64-bit, non-prefetchable) [size=64K] Capabilities: <access denied> Kernel driver in use: ath5k_pci Kernel modules: ath_pci, ath5k

Change History

06/23/09 23:53:53 changed by travis+w-madwifi-project.org@subspacefield.org

I have the same issue with kubuntu on a 2.6.27 kernel.

dmesg shows "HAL doesn't support MAC revision 0xe2"

I was able to get it working with a tarball someone gave me called:

madwifi-r3726-061708-03-hdm-2.6.26-rc8-wl.tar.gz

09/24/09 02:38:12 changed by maximussav@gmail.com

I have the same issue with Ubuntu 9.04. The wireless card is not working.

10/05/09 15:35:01 changed by anonymous

I found out this model ACER includes a "3G" network card and there is a momentary switch to change it to the standard network. I suspect that is the problem. I returned mine to the store for a refund.